<template>
	<view style="padding: 0 36upx;">
		<view  style="text-align: center;margin: 0 auto;padding: 10upx 0;">
		<van-icon  color="#eee;" size="88px" name="passed" />
		</view>
		<view  style="text-align: center;padding: 10upx 0;">订单支付成功</view>
		<view  class="submitRemin"  @click="lookfor" style="background-color: #fff;color:#303133;border: 1px solid #D9332E;">查看订单详情</view>
		<view  class="submitRemin" @click="submitRemin">继续购物</view>
	</view>
</template>

<script>
	export default {
		data() {
			return{
				order_id:'',
				isform: 0,
				store_id:''
			}
		},
		onLoad(e) {
			console.log(e);
			this.order_id = e.order_id;
			this.store_id = e.store_id;
			this.isform = e.isform; // 1 从订单过来  2 从购物车过来
		},
		methods:{
			// ji xu gou wu
			submitRemin() {
				console.log(this.isform);
				let store_id = this.store_id;
				if(this.isform == 1) {
					uni.switchTab({
						url: '/pages/myOrder/index'
					})
					uni.$emit('finshlist');
				}else {
					uni.redirectTo({
						url: `/pages/index/hotel?id=${store_id}`
					})
				}
				
			},
			lookfor() {
				let order_id = this.order_id ;
				uni.$emit('finshlist');
				uni.redirectTo({
				        url: `/pages/myOrder/order?id=${order_id}`
				});
			}
		}
		
	}
</script>

<style>
</style>
